SightRadardocs
API referenceCollections

Get collection deletion status

Authoritative status for an asynchronous collection deletion. (GET /v1/collections/{id}/deletion)

GET/v1/collections/{id}/deletion
Auth
Bearer API key
Billing
free (0 credits).

Authoritative status for an asynchronous collection deletion. Poll until phase=completed and verified_zero=true before removing a client-side tombstone. Active collections return phase=not_deleting. Free.

Example request

curl -X GET "https://api.sightradar.com/v1/collections/$ID/deletion" \
  -H "Authorization: Bearer $SR_API_KEY"

Parameters

NameInTypeDescription
id requiredpathstringCollection id.

Response body

FieldTypeDescription
collection_id requiredstring
phase required"not_deleting" | "deletion_pending" | "deleting" | "completed" | "blocked"
collection_status required"active" | "deletion_pending" | "deleting" | "deleted"
verified_zero requiredboolean
attempts requiredinteger
deletion_class"product" | "compliance"
workflow_idstring
workflow_status"pending" | "completed" | "failed"
purge_afterstring
requested_atstring
completed_atstring
last_errorstring

Status codes

StatusMeaning
200Current deletion lifecycle.
401Missing or invalid API key.
404Resource not found.
Last updated

On this page